/************************************************************************/
/*									*/
/*			LCD 4*40 Test program				*/
/*									*/
/*		Author: P. Dannegger					*/
/*									*/
/************************************************************************/
#include<io.h>
#include "sbit.h"


typedef unsigned char  u8;
typedef   signed char  s8;
typedef unsigned short u16;
typedef   signed short s16;
typedef unsigned long  u32;
typedef   signed long  s32;


#define	XTAL	8e6			// 8MHz


#define LCD_LINES	0x7F		// PA0..PA6
#define	LCD_PORT	PORTA
#define	LCD_DDR		DDRA

#define	LCD_D4	SBIT( LCD_PORT, 6 )
#define	LCD_D5	SBIT( LCD_PORT, 3 )
#define	LCD_D6	SBIT( LCD_PORT, 5 )
#define	LCD_D7	SBIT( LCD_PORT, 4 )
#define	LCD_RS	SBIT( LCD_PORT, 1 )
#define	LCD_E0	SBIT( LCD_PORT, 2 )
#define	LCD_E1	SBIT( LCD_PORT, 0 )

